import request from '@/utils/request'

// 获取保温箱列表
export function getCoolerBox(parameter) {
  return request({
    url: '/api/cooler-box',
    method: 'get',
    params: parameter
  })
}

// 获取保温箱内冰排列表
export function getRaftCoolerBox(parameter) {
  return request({
    url: '/api/ice-raft/cooler-box',
    method: 'get',
    params: parameter
  })
}
// 获取车辆详情
export function getCoolerBoxDetails(parameter) {
  return request({
    url: '/api/cooler-box' + parameter,
    method: 'get',
  })
}

// 添加车辆
export function addCoolerBox(parameter) {
  return request({
    url: '/api/cooler-box',
    method: 'post',
    data: parameter
  })
}

// 编辑车辆
export function putCoolerBox(parameter) {
  return request({
    url: '/api/cooler-box',
    method: 'put',
    data: parameter
  })
}

// 删除车辆
export function delCoolerBox(parameter) {
  return request({
    url: '/api/cooler-box',
    method: 'delete',
    data: parameter
  })
}

// 获取设备列表
export function getDevice(parameter) {
  return request({
    url: '/api/device',
    method: 'get',
    params: parameter
  })
}

// 添加冷冻柜
export function addCoolerBoxImport(parameter) {
  return request({
    url: '/api/cooler-box/import',
    method: 'post',
    data: parameter
  })
}
